﻿using System;
using Wisej.Web;

namespace WisejWebApplication3
{
	internal static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		static void Main()
		{
			Window1 window = new Window1();
			window.Show();

			Application.Hash = "/Page0";
			Application.HashChanged += Application_HashChanged;
			Application.SessionTimeout += Application_SessionTimeout;
		}

		private static void Application_SessionTimeout(object sender, System.ComponentModel.HandledEventArgs e)
		{
			e.Handled = true;
		}

		private static void Application_HashChanged(object sender, HashChangedEventArgs e)
		{
			ChangePage(e.Hash);
		}

		private static void ChangePage(string path)
		{
			if (path.Contains("page1"))
			{
				Application.MainPage = new Page1();
				Application.Reload();

				return;
			}

			if (path.Contains("page2"))
			{
				Application.MainPage = new Page2();
				Application.Reload();

				return;
			}
		}


		//
		// You can use the entry method below
		// to receive the parameters from the URL in the args collection.
		//
		//static void Main(NameValueCollection args)
		//{
		//}
	}
}